<!doctype html>
<html lang="pl" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <title></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="/administration_panel.css" type="text/css" />
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Parisienne&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;300;400&display=swap" rel="stylesheet">
</head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<body>

<div id="headerwrap">

    <div th:fragment="add" class="col-md-12 center">
        <h2>Dodawanie atrakcji</h2>
        <div>
            <div class="form-register" id="myForm">
                <form th:action="@{/admin/attractions/add/save}" method="post" th:object="${attraction}" th:value="${viewType}" class="form-container-reg">
                    <label for="name"><b>Podaj nazwę atrakcji</b></label>
                    <input type="text" id="name" name="name" th:field="*{name}" required>
                    <br />
                    <br />
                    <label for="type"><b>Podaj typ</b></label>
                    <input type="text" id="type" name="type" th:field="*{type}" required>

                    <h5>Lokalizacje</h5>
                    <div style="height: 10rem; overflow-y: scroll; scrollbar-color: black grey; scrollbar-width: thin;">
                        <ul th:each="l : ${allLocations}">
                            <li>
                                <input th:field="*{locations}" th:value="${l.id}" id="location-chbox" type="checkbox"/>
                                <label th:text="${l.id} + ' ' + ${l.city} + ' ' + ${l.postalCode} + ' ' + ${l.street} + ' ' + ${l.streetNo} + ' ' + ${l.longitude} + ' ' + ${l.latitude}" for="location-chbox">Location</label>
                            </li>
                        </ul>
                    </div>

                    <h5>Informacje</h5>
                    <div style="height: 10rem; overflow-y: scroll; scrollbar-color: black grey; scrollbar-width: thin;">
                        <ul th:each="n : ${allNews}">
                                <li>
                                    <input th:field="*{news}" th:value="${n.id}" id="news-chbox" type="checkbox"/>
                                    <label th:text="${n.id} + ' ' + ${n.title} + ' ' + ${n.type}" for="news-chbox">News</label>
                                </li>
                        </ul>
                    </div>
                    <br />
                    <button type="submit" class="btn">Zapisz</button>
                </form>
            </div>
        </div>
        <br>
    </div>
</div>

<div class="col-md-12 footer">
    <br />
    <h4>Wszelkie prawa zastrzeżone © 2020</h4>
</div>

<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
</body>
</html>